<template>
  <div>
    <Navbar
      :buttons="buttons"
      :logoSrc="logoSrc"
      :logoAlt="logoAlt" />
    <router-view/>
    <Footer
      logoSrc="https://s3.amazonaws.com/media-p.slid.es/uploads/547146/images/3390712/hackanizer-logo.png"
      :logoAlt="logoAlt" />
  </div>
</template>

<script>
import Navbar from "@/components/Navbar";
import Footer from "@/components/Footer";

export default {
  components: {
    Navbar,
    Footer
  },
  data() {
    return {
      buttons: [
        { name: 'Login', link: '/login' },
        { name: 'Signup', link: '/register' }
      ],
      logoSrc: "https://assets.gitlab-static.net/uploads/-/system/group/avatar/1041709/hackanizer.png?width=68",
      logoAlt: "Hacknizer"
    };
  }
};
</script>


